Subject: Podman contains vendored code

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 24 Feb 2023 17:15:25 +0100

Hi Guix,

I was dealing with issue #61682 earlier, when 

Am Freitag, dem 24.02.2023 um 06:20 +0100 schrieb Liliana Marie
Prikler:
> As fun as it sounds to build Go stuff with just a Makefile, you have
> a lot of vendored code unaccounted for.

Am Freitag, dem 24.02.2023 um 07:12 +0000 schrieb Zongyuan Li:
> I noticed that ‘podman’ package also uses makefile. Maybe we could
> improve that later too?

Needless to say, podman also has vendored code in its source checkout.

@Zongyuan: The problem is not the use of a Makefile or gnu-build-system
per se, but rather that the Makefile is specifically engineered to hide
the vendoring.

Cheers